package de.avatic.lcc.model.taric;

import java.time.LocalDate;
import java.util.Set;


public class AppliedMeasure {


    private LocalDate startDate;

    private LocalDate endDate;

    private String amount;

    private Integer orderNumber;

    private Set<MeasureFootnote> measureFootnotes;

    private Measure measure;

    private LegalBase legalBase;

    private Set<MeasureExclusion> exclusions;

    private Set<AppliedMeasureCondition> conditions;

    public LocalDate getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDate startDate) {
        this.startDate = startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDate endDate) {
        this.endDate = endDate;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Set<MeasureFootnote> getMeasureFootnotes() {
        return measureFootnotes;
    }

    public void setMeasureFootnotes(Set<MeasureFootnote> measureFootnotes) {
        this.measureFootnotes = measureFootnotes;
    }


    public Set<MeasureExclusion> getExclusions() {
        return exclusions;
    }

    public void setExclusions(Set<MeasureExclusion> exclusions) {
        this.exclusions = exclusions;
    }

    public Set<AppliedMeasureCondition> getConditions() {
        return conditions;
    }

    public void setConditions(Set<AppliedMeasureCondition> conditions) {
        this.conditions = conditions;
    }

    public Measure getMeasure() {
        return measure;
    }

    public void setMeasure(Measure measure) {
        this.measure = measure;
    }

    public LegalBase getLegalBase() {
        return legalBase;
    }

    public void setLegalBase(LegalBase legalBase) {
        this.legalBase = legalBase;
    }
}